/*******************************************************************************
* File Name: PHB.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PHB_H) /* Pins PHB_H */
#define CY_PINS_PHB_H

#include "cytypes.h"
#include "cyfitter.h"
#include "PHB_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    PHB_Write(uint8 value) ;
void    PHB_SetDriveMode(uint8 mode) ;
uint8   PHB_ReadDataReg(void) ;
uint8   PHB_Read(void) ;
uint8   PHB_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PHB_DRIVE_MODE_BITS        (3)
#define PHB_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - PHB_DRIVE_MODE_BITS))

#define PHB_DM_ALG_HIZ         (0x00u)
#define PHB_DM_DIG_HIZ         (0x01u)
#define PHB_DM_RES_UP          (0x02u)
#define PHB_DM_RES_DWN         (0x03u)
#define PHB_DM_OD_LO           (0x04u)
#define PHB_DM_OD_HI           (0x05u)
#define PHB_DM_STRONG          (0x06u)
#define PHB_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define PHB_MASK               PHB__MASK
#define PHB_SHIFT              PHB__SHIFT
#define PHB_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PHB_PS                     (* (reg32 *) PHB__PS)
/* Port Configuration */
#define PHB_PC                     (* (reg32 *) PHB__PC)
/* Data Register */
#define PHB_DR                     (* (reg32 *) PHB__DR)
/* Input Buffer Disable Override */
#define PHB_INP_DIS                (* (reg32 *) PHB__PC2)


#if defined(PHB__INTSTAT)  /* Interrupt Registers */

    #define PHB_INTSTAT                (* (reg32 *) PHB__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define PHB_DRIVE_MODE_SHIFT       (0x00u)
#define PHB_DRIVE_MODE_MASK        (0x07u << PHB_DRIVE_MODE_SHIFT)


#endif /* End Pins PHB_H */


/* [] END OF FILE */
